Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model.property
Class UtcProperty

    java.lang.Object
      net.fortuna.ical4j.model.Content
          net.fortuna.ical4j.model.Property
              net.fortuna.ical4j.model.property.DateProperty
                  net.fortuna.ical4j.model.property.UtcProperty

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Completed, Created, DtStamp, LastModified, Trigger

    public abstract class UtcProperty

extends DateProperty

Superclass for all properties with date-time values that must be specified in UTC time.

Author:
  Ben Fortuna
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.fortuna.ical4j.model.property.DateProperty
`timezone`

Fields inherited from class net.fortuna.ical4j.model.Property
`ACTION, ATTACH, ATTENDEE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, FREEBUSY, GEO, LAST_MODIFIED, LOCATION, METHOD, ORGANIZER, PERCENT_COMPLETE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, SUMMARY, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

Constructor Summary
`UtcProperty(String name)`
`UtcProperty(String name, ParameterList parameters)`

Method Summary
`DateTime` | `getDateTime()`
`void` | `setDateTime(DateTime dateTime)`
`void` | `validate()` Perform validation on a property.

Methods inherited from class net.fortuna.ical4j.model.property.DateProperty
`getDate, getValue, isUtc, setDate, setTimeZone, setUtc, setValue`

Methods inherited from class net.fortuna.ical4j.model.Property
`equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, isComponentProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UtcProperty

    public UtcProperty(String name,
                       ParameterList parameters)

Parameters:
  `name` -
  `parameters` -

### UtcProperty

    public UtcProperty(String name)

Parameters:
  `name` -

Method Detail

### getDateTime

    public final DateTime getDateTime()

  Returns:
    Returns the date-time.

### setDateTime

    public void setDateTime(DateTime dateTime)

  Parameters:
    `dateTime` - The dateTime to set.

### validate

    public void validate()
                  throws ValidationException

  Description copied from class: `Property`
  Perform validation on a property.

  Overrides:
    `validate` in class `DateProperty`
  Throws:
    `ValidationException` - where the property is not in a valid state

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.